From d2040dcd2755938d44e0c7db8af7b3bb10b9b5b5 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 17 Jan 2025 01:20:02 +0200
Subject: [PATCH 18/18] Bump ruleset capstr and format_version for freeciv-3.4

See RM #1212

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/actions.ruleset             |  4 ++--
 data/alien/buildings.ruleset           |  4 ++--
 data/alien/cities.ruleset              |  4 ++--
 data/alien/effects.ruleset             |  4 ++--
 data/alien/game.ruleset                |  4 ++--
 data/alien/governments.ruleset         |  4 ++--
 data/alien/nations.ruleset             |  4 ++--
 data/alien/styles.ruleset              |  4 ++--
 data/alien/techs.ruleset               |  4 ++--
 data/alien/terrain.ruleset             |  4 ++--
 data/alien/units.ruleset               |  4 ++--
 data/civ1/actions.ruleset              |  4 ++--
 data/civ1/buildings.ruleset            |  4 ++--
 data/civ1/cities.ruleset               |  4 ++--
 data/civ1/effects.ruleset              |  4 ++--
 data/civ1/game.ruleset                 |  4 ++--
 data/civ1/governments.ruleset          |  4 ++--
 data/civ1/nations.ruleset              |  4 ++--
 data/civ1/styles.ruleset               |  4 ++--
 data/civ1/techs.ruleset                |  4 ++--
 data/civ1/terrain.ruleset              |  4 ++--
 data/civ1/units.ruleset                |  4 ++--
 data/civ2/actions.ruleset              |  4 ++--
 data/civ2/buildings.ruleset            |  4 ++--
 data/civ2/cities.ruleset               |  4 ++--
 data/civ2/effects.ruleset              |  4 ++--
 data/civ2/game.ruleset                 |  4 ++--
 data/civ2/governments.ruleset          |  4 ++--
 data/civ2/nations.ruleset              |  4 ++--
 data/civ2/styles.ruleset               |  4 ++--
 data/civ2/techs.ruleset                |  4 ++--
 data/civ2/terrain.ruleset              |  4 ++--
 data/civ2/units.ruleset                |  4 ++--
 data/civ2civ3/actions.ruleset          |  4 ++--
 data/civ2civ3/buildings.ruleset        |  4 ++--
 data/civ2civ3/cities.ruleset           |  4 ++--
 data/civ2civ3/effects.ruleset          |  4 ++--
 data/civ2civ3/game.ruleset             |  4 ++--
 data/civ2civ3/governments.ruleset      |  4 ++--
 data/civ2civ3/nations.ruleset          |  4 ++--
 data/civ2civ3/styles.ruleset           |  4 ++--
 data/civ2civ3/techs.ruleset            |  4 ++--
 data/civ2civ3/terrain.ruleset          |  4 ++--
 data/civ2civ3/units.ruleset            |  4 ++--
 data/classic/actions.ruleset           |  4 ++--
 data/classic/buildings.ruleset         |  4 ++--
 data/classic/cities.ruleset            |  4 ++--
 data/classic/effects.ruleset           |  4 ++--
 data/classic/game.ruleset              |  4 ++--
 data/classic/governments.ruleset       |  4 ++--
 data/classic/nations.ruleset           |  4 ++--
 data/classic/styles.ruleset            |  4 ++--
 data/classic/techs.ruleset             |  4 ++--
 data/classic/terrain.ruleset           |  4 ++--
 data/classic/units.ruleset             |  4 ++--
 data/goldkeep/actions.ruleset          |  4 ++--
 data/goldkeep/buildings.ruleset        |  4 ++--
 data/goldkeep/cities.ruleset           |  4 ++--
 data/goldkeep/effects.ruleset          |  4 ++--
 data/goldkeep/game.ruleset             |  4 ++--
 data/goldkeep/governments.ruleset      |  4 ++--
 data/goldkeep/nations.ruleset          |  4 ++--
 data/goldkeep/styles.ruleset           |  4 ++--
 data/goldkeep/techs.ruleset            |  4 ++--
 data/goldkeep/terrain.ruleset          |  4 ++--
 data/goldkeep/units.ruleset            |  4 ++--
 data/granularity/actions.ruleset       |  4 ++--
 data/granularity/buildings.ruleset     |  4 ++--
 data/granularity/cities.ruleset        |  4 ++--
 data/granularity/effects.ruleset       |  4 ++--
 data/granularity/game.ruleset          |  4 ++--
 data/granularity/governments.ruleset   |  4 ++--
 data/granularity/nations.ruleset       |  4 ++--
 data/granularity/styles.ruleset        |  4 ++--
 data/granularity/techs.ruleset         |  4 ++--
 data/granularity/terrain.ruleset       |  4 ++--
 data/granularity/units.ruleset         |  4 ++--
 data/multiplayer/actions.ruleset       |  4 ++--
 data/multiplayer/buildings.ruleset     |  4 ++--
 data/multiplayer/cities.ruleset        |  4 ++--
 data/multiplayer/effects.ruleset       |  4 ++--
 data/multiplayer/game.ruleset          |  4 ++--
 data/multiplayer/governments.ruleset   |  4 ++--
 data/multiplayer/nations.ruleset       |  4 ++--
 data/multiplayer/styles.ruleset        |  4 ++--
 data/multiplayer/techs.ruleset         |  4 ++--
 data/multiplayer/terrain.ruleset       |  4 ++--
 data/multiplayer/units.ruleset         |  4 ++--
 data/sandbox/actions.ruleset           |  4 ++--
 data/sandbox/buildings.ruleset         |  4 ++--
 data/sandbox/cities.ruleset            |  4 ++--
 data/sandbox/effects.ruleset           |  4 ++--
 data/sandbox/game.ruleset              |  4 ++--
 data/sandbox/governments.ruleset       |  4 ++--
 data/sandbox/nations.ruleset           |  4 ++--
 data/sandbox/styles.ruleset            |  4 ++--
 data/sandbox/techs.ruleset             |  4 ++--
 data/sandbox/terrain.ruleset           |  4 ++--
 data/sandbox/units.ruleset             |  4 ++--
 data/stub/actions.ruleset              |  4 ++--
 data/stub/buildings.ruleset            |  4 ++--
 data/stub/cities.ruleset               |  4 ++--
 data/stub/effects.ruleset              |  4 ++--
 data/stub/game.ruleset                 |  4 ++--
 data/stub/governments.ruleset          |  4 ++--
 data/stub/nations.ruleset              |  4 ++--
 data/stub/styles.ruleset               |  4 ++--
 data/stub/techs.ruleset                |  4 ++--
 data/stub/terrain.ruleset              |  4 ++--
 data/stub/units.ruleset                |  4 ++--
 data/webperimental/actions.ruleset     |  4 ++--
 data/webperimental/buildings.ruleset   |  4 ++--
 data/webperimental/cities.ruleset      |  4 ++--
 data/webperimental/effects.ruleset     |  4 ++--
 data/webperimental/game.ruleset        |  4 ++--
 data/webperimental/governments.ruleset |  4 ++--
 data/webperimental/nations.ruleset     |  4 ++--
 data/webperimental/styles.ruleset      |  4 ++--
 data/webperimental/techs.ruleset       |  4 ++--
 data/webperimental/terrain.ruleset     |  4 ++--
 data/webperimental/units.ruleset       |  4 ++--
 server/ruleset/ruleload.h              | 10 +++++-----
 122 files changed, 247 insertions(+), 247 deletions(-)

diff --git a/data/alien/actions.ruleset b/data/alien/actions.ruleset
index f037213045..067a39a4fc 100644
--- a/data/alien/actions.ruleset
+++ b/data/alien/actions.ruleset
@@ -12,8 +12,8 @@
 ; than minor changes.
 [datafile]
 description = "Alien World actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/alien/buildings.ruleset b/data/alien/buildings.ruleset
index d84cae541b..65b513c8c9 100644
--- a/data/alien/buildings.ruleset
+++ b/data/alien/buildings.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 
diff --git a/data/alien/cities.ruleset b/data/alien/cities.ruleset
index 23ca6d351b..11e8bf4dc4 100644
--- a/data/alien/cities.ruleset
+++ b/data/alien/cities.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/alien/effects.ruleset b/data/alien/effects.ruleset
index d2a3e119a4..505d1c6125 100644
--- a/data/alien/effects.ruleset
+++ b/data/alien/effects.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/alien/game.ruleset b/data/alien/game.ruleset
index 9ae63afc80..465a1c8f42 100644
--- a/data/alien/game.ruleset
+++ b/data/alien/game.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/alien/governments.ruleset b/data/alien/governments.ruleset
index 86f90ec6f1..bc06d9286a 100644
--- a/data/alien/governments.ruleset
+++ b/data/alien/governments.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World governments data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/alien/nations.ruleset b/data/alien/nations.ruleset
index d2a1939061..57ac22d906 100644
--- a/data/alien/nations.ruleset
+++ b/data/alien/nations.ruleset
@@ -10,8 +10,8 @@
 
 [datafile]
 description = "Alien World nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/alien/styles.ruleset b/data/alien/styles.ruleset
index 8d6d505e9d..a261bf5c94 100644
--- a/data/alien/styles.ruleset
+++ b/data/alien/styles.ruleset
@@ -10,8 +10,8 @@
 
 [datafile]
 description = "Nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/alien/techs.ruleset b/data/alien/techs.ruleset
index 03d08ce596..31075f801b 100644
--- a/data/alien/techs.ruleset
+++ b/data/alien/techs.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/alien/terrain.ruleset b/data/alien/terrain.ruleset
index 913d7625aa..ff3c818628 100644
--- a/data/alien/terrain.ruleset
+++ b/data/alien/terrain.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/alien/units.ruleset b/data/alien/units.ruleset
index e491083cf9..5d1d0d5fa2 100644
--- a/data/alien/units.ruleset
+++ b/data/alien/units.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Alien World unit data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/civ1/actions.ruleset b/data/civ1/actions.ruleset
index 850fdde52a..62fde2c4f3 100644
--- a/data/civ1/actions.ruleset
+++ b/data/civ1/actions.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ1 actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/civ1/buildings.ruleset b/data/civ1/buildings.ruleset
index b91ad329a9..df31548177 100644
--- a/data/civ1/buildings.ruleset
+++ b/data/civ1/buildings.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ1 buildings data for Freeciv (approximate)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 
diff --git a/data/civ1/cities.ruleset b/data/civ1/cities.ruleset
index 9e866f2ceb..f295380a84 100644
--- a/data/civ1/cities.ruleset
+++ b/data/civ1/cities.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ1/effects.ruleset b/data/civ1/effects.ruleset
index ad6b563468..6618778541 100644
--- a/data/civ1/effects.ruleset
+++ b/data/civ1/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ1 effects data for Freeciv (approximate)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ1/game.ruleset b/data/civ1/game.ruleset
index c966346669..49ce2579e3 100644
--- a/data/civ1/game.ruleset
+++ b/data/civ1/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ1-style game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/civ1/governments.ruleset b/data/civ1/governments.ruleset
index ce6ac0084e..e4930bd086 100644
--- a/data/civ1/governments.ruleset
+++ b/data/civ1/governments.ruleset
@@ -14,8 +14,8 @@
 
 [datafile]
 description = "Civilization I governments data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/civ1/nations.ruleset b/data/civ1/nations.ruleset
index 0675c6ee93..d3dcb05c40 100644
--- a/data/civ1/nations.ruleset
+++ b/data/civ1/nations.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ1-equivalent nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/civ1/styles.ruleset b/data/civ1/styles.ruleset
index d5dd03904e..32c0364235 100644
--- a/data/civ1/styles.ruleset
+++ b/data/civ1/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ1/techs.ruleset b/data/civ1/techs.ruleset
index 79410725ad..4019533ee0 100644
--- a/data/civ1/techs.ruleset
+++ b/data/civ1/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Civ1-style technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/civ1/terrain.ruleset b/data/civ1/terrain.ruleset
index f627906891..74ba3e8062 100644
--- a/data/civ1/terrain.ruleset
+++ b/data/civ1/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ1 tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/civ1/units.ruleset b/data/civ1/units.ruleset
index ac8f4960e8..62d10f25a6 100644
--- a/data/civ1/units.ruleset
+++ b/data/civ1/units.ruleset
@@ -10,8 +10,8 @@
 
 [datafile]
 description = "Civ1-style unit_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/civ2/actions.ruleset b/data/civ2/actions.ruleset
index 9f35b6f72c..674e1aa2fd 100644
--- a/data/civ2/actions.ruleset
+++ b/data/civ2/actions.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ2 actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/civ2/buildings.ruleset b/data/civ2/buildings.ruleset
index 31d2145447..644eadf3f5 100644
--- a/data/civ2/buildings.ruleset
+++ b/data/civ2/buildings.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ2 buildings data for Freeciv (incomplete)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 
diff --git a/data/civ2/cities.ruleset b/data/civ2/cities.ruleset
index 9e866f2ceb..f295380a84 100644
--- a/data/civ2/cities.ruleset
+++ b/data/civ2/cities.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ2/effects.ruleset b/data/civ2/effects.ruleset
index 1cbeb3b617..18d845fb71 100644
--- a/data/civ2/effects.ruleset
+++ b/data/civ2/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ2 effects data for Freeciv (incomplete)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ2/game.ruleset b/data/civ2/game.ruleset
index 0557440ce0..dd6241f222 100644
--- a/data/civ2/game.ruleset
+++ b/data/civ2/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ2-style game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/civ2/governments.ruleset b/data/civ2/governments.ruleset
index 2c5f20801f..6f48979fe2 100644
--- a/data/civ2/governments.ruleset
+++ b/data/civ2/governments.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ2 style governments data for Freeciv (Fundamentalism incomplete)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/civ2/nations.ruleset b/data/civ2/nations.ruleset
index 2f6b40b2b0..f7e44e304b 100644
--- a/data/civ2/nations.ruleset
+++ b/data/civ2/nations.ruleset
@@ -13,8 +13,8 @@
 
 [datafile]
 description = "Civ2-equivalent nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/civ2/styles.ruleset b/data/civ2/styles.ruleset
index d5dd03904e..32c0364235 100644
--- a/data/civ2/styles.ruleset
+++ b/data/civ2/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ2/techs.ruleset b/data/civ2/techs.ruleset
index dc19bd1d2e..f716959d7a 100644
--- a/data/civ2/techs.ruleset
+++ b/data/civ2/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Civ2 technology data for Freeciv (incomplete)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/civ2/terrain.ruleset b/data/civ2/terrain.ruleset
index edb5e39e2a..623ffdc783 100644
--- a/data/civ2/terrain.ruleset
+++ b/data/civ2/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ2 tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/civ2/units.ruleset b/data/civ2/units.ruleset
index 095884e82b..a02d27b308 100644
--- a/data/civ2/units.ruleset
+++ b/data/civ2/units.ruleset
@@ -10,8 +10,8 @@
 
 [datafile]
 description = "Civ2 unit_type data for Freeciv (approximate)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/civ2civ3/actions.ruleset b/data/civ2civ3/actions.ruleset
index 7bcdf79e95..00f41a252d 100644
--- a/data/civ2civ3/actions.ruleset
+++ b/data/civ2civ3/actions.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ2Civ3 actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/civ2civ3/buildings.ruleset b/data/civ2civ3/buildings.ruleset
index 52784e342d..f5a6a4ce5b 100644
--- a/data/civ2civ3/buildings.ruleset
+++ b/data/civ2civ3/buildings.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ2Civ3 buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 
diff --git a/data/civ2civ3/cities.ruleset b/data/civ2civ3/cities.ruleset
index 2ef137bd2f..17134129b5 100644
--- a/data/civ2civ3/cities.ruleset
+++ b/data/civ2civ3/cities.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Civ2Civ3 cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ2civ3/effects.ruleset b/data/civ2civ3/effects.ruleset
index c3dd77a18a..b9e36a2ed8 100644
--- a/data/civ2civ3/effects.ruleset
+++ b/data/civ2civ3/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ2Civ3 effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ2civ3/game.ruleset b/data/civ2civ3/game.ruleset
index f2275c42e0..7493d89869 100644
--- a/data/civ2civ3/game.ruleset
+++ b/data/civ2civ3/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Civ2Civ3 game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/civ2civ3/governments.ruleset b/data/civ2civ3/governments.ruleset
index 69754fe6ef..5db35ebf38 100644
--- a/data/civ2civ3/governments.ruleset
+++ b/data/civ2civ3/governments.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ2Civ3 governments data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/civ2civ3/nations.ruleset b/data/civ2civ3/nations.ruleset
index 17c03ba657..3d61f052f2 100644
--- a/data/civ2civ3/nations.ruleset
+++ b/data/civ2civ3/nations.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Default nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/civ2civ3/styles.ruleset b/data/civ2civ3/styles.ruleset
index 0d975f7270..ec58ce223d 100644
--- a/data/civ2civ3/styles.ruleset
+++ b/data/civ2civ3/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/civ2civ3/techs.ruleset b/data/civ2civ3/techs.ruleset
index 0429b01808..01c1576e9e 100644
--- a/data/civ2civ3/techs.ruleset
+++ b/data/civ2civ3/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Civ2Civ3 technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/civ2civ3/terrain.ruleset b/data/civ2civ3/terrain.ruleset
index bad727ccb7..8d13c72aa6 100644
--- a/data/civ2civ3/terrain.ruleset
+++ b/data/civ2civ3/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Civ2Civ3 tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/civ2civ3/units.ruleset b/data/civ2civ3/units.ruleset
index 95b1e6e2f1..ee9e09eb57 100644
--- a/data/civ2civ3/units.ruleset
+++ b/data/civ2civ3/units.ruleset
@@ -16,8 +16,8 @@
 
 [datafile]
 description = "Civ2Civ3 unit_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/classic/actions.ruleset b/data/classic/actions.ruleset
index 0d3528df25..5571cec63d 100644
--- a/data/classic/actions.ruleset
+++ b/data/classic/actions.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Classic actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/classic/buildings.ruleset b/data/classic/buildings.ruleset
index 41627ed21c..b361d9539a 100644
--- a/data/classic/buildings.ruleset
+++ b/data/classic/buildings.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Classic buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 
diff --git a/data/classic/cities.ruleset b/data/classic/cities.ruleset
index 36b7467f39..fc0fc252c0 100644
--- a/data/classic/cities.ruleset
+++ b/data/classic/cities.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Classic cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/classic/effects.ruleset b/data/classic/effects.ruleset
index 874df2ae50..32dfbcda4b 100644
--- a/data/classic/effects.ruleset
+++ b/data/classic/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Classic effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/classic/game.ruleset b/data/classic/game.ruleset
index 9eb64c8903..997e2c09bb 100644
--- a/data/classic/game.ruleset
+++ b/data/classic/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Classic game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/classic/governments.ruleset b/data/classic/governments.ruleset
index ac653d551c..98caef2cf9 100644
--- a/data/classic/governments.ruleset
+++ b/data/classic/governments.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Classic governments data for Freeciv (as Civ2, minus fundamentalism)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/classic/nations.ruleset b/data/classic/nations.ruleset
index 2db6f93920..80fd8b5683 100644
--- a/data/classic/nations.ruleset
+++ b/data/classic/nations.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Classic nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/classic/styles.ruleset b/data/classic/styles.ruleset
index 9a68349143..ef19c27fdd 100644
--- a/data/classic/styles.ruleset
+++ b/data/classic/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Classic nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/classic/techs.ruleset b/data/classic/techs.ruleset
index b769143f31..c8cb4efd07 100644
--- a/data/classic/techs.ruleset
+++ b/data/classic/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Classic technology data for Freeciv (as Civ2, minus a few)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/classic/terrain.ruleset b/data/classic/terrain.ruleset
index 1676f44491..3aaf901828 100644
--- a/data/classic/terrain.ruleset
+++ b/data/classic/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Classic tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/classic/units.ruleset b/data/classic/units.ruleset
index f56af0ef41..d71d775feb 100644
--- a/data/classic/units.ruleset
+++ b/data/classic/units.ruleset
@@ -16,8 +16,8 @@
 
 [datafile]
 description = "Classic unit_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/goldkeep/actions.ruleset b/data/goldkeep/actions.ruleset
index 0dd0235072..0193247292 100644
--- a/data/goldkeep/actions.ruleset
+++ b/data/goldkeep/actions.ruleset
@@ -15,8 +15,8 @@
 
 [datafile]
 description = "Goldkeep actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/goldkeep/buildings.ruleset b/data/goldkeep/buildings.ruleset
index 43dcd43d03..6c35f14a66 100644
--- a/data/goldkeep/buildings.ruleset
+++ b/data/goldkeep/buildings.ruleset
@@ -14,8 +14,8 @@
 
 [datafile]
 description = "Goldkeep buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 
diff --git a/data/goldkeep/cities.ruleset b/data/goldkeep/cities.ruleset
index 71e949aef8..cb82cace13 100644
--- a/data/goldkeep/cities.ruleset
+++ b/data/goldkeep/cities.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Goldkeep cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/goldkeep/effects.ruleset b/data/goldkeep/effects.ruleset
index 1376bec4e8..ab7ed6c9ba 100644
--- a/data/goldkeep/effects.ruleset
+++ b/data/goldkeep/effects.ruleset
@@ -14,8 +14,8 @@
 
 [datafile]
 description = "Goldkeep effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/goldkeep/game.ruleset b/data/goldkeep/game.ruleset
index 3a995321f0..b8d283ba09 100644
--- a/data/goldkeep/game.ruleset
+++ b/data/goldkeep/game.ruleset
@@ -14,8 +14,8 @@
 
 [datafile]
 description = "Goldkeep game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/goldkeep/governments.ruleset b/data/goldkeep/governments.ruleset
index 2885c72d03..c2f77e8707 100644
--- a/data/goldkeep/governments.ruleset
+++ b/data/goldkeep/governments.ruleset
@@ -14,8 +14,8 @@
 
 [datafile]
 description = "Goldkeep governments data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/goldkeep/nations.ruleset b/data/goldkeep/nations.ruleset
index 622179e5a5..54b8c8b077 100644
--- a/data/goldkeep/nations.ruleset
+++ b/data/goldkeep/nations.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Goldkeep nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/goldkeep/styles.ruleset b/data/goldkeep/styles.ruleset
index 0858d59873..f47b5cc07c 100644
--- a/data/goldkeep/styles.ruleset
+++ b/data/goldkeep/styles.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Goldkeep nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/goldkeep/techs.ruleset b/data/goldkeep/techs.ruleset
index 1fd3e988bc..e3befe8abb 100644
--- a/data/goldkeep/techs.ruleset
+++ b/data/goldkeep/techs.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Goldkeep technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/goldkeep/terrain.ruleset b/data/goldkeep/terrain.ruleset
index 4363f99c89..d1cc57f540 100644
--- a/data/goldkeep/terrain.ruleset
+++ b/data/goldkeep/terrain.ruleset
@@ -14,8 +14,8 @@
 
 [datafile]
 description = "Goldkeep terrain data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/goldkeep/units.ruleset b/data/goldkeep/units.ruleset
index 208d97c605..bb1b3a9c23 100644
--- a/data/goldkeep/units.ruleset
+++ b/data/goldkeep/units.ruleset
@@ -19,8 +19,8 @@
 
 [datafile]
 description = "Goldkeep unit data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/granularity/actions.ruleset b/data/granularity/actions.ruleset
index 765679fad5..696ab8e4a6 100644
--- a/data/granularity/actions.ruleset
+++ b/data/granularity/actions.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Granularity actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/granularity/buildings.ruleset b/data/granularity/buildings.ruleset
index 7e13ea1d76..ad602c520d 100644
--- a/data/granularity/buildings.ruleset
+++ b/data/granularity/buildings.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Granularity buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 
diff --git a/data/granularity/cities.ruleset b/data/granularity/cities.ruleset
index 4bb67a204d..55f14bd407 100644
--- a/data/granularity/cities.ruleset
+++ b/data/granularity/cities.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Granularity cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/granularity/effects.ruleset b/data/granularity/effects.ruleset
index 49c39f5f86..f7c3550c8b 100644
--- a/data/granularity/effects.ruleset
+++ b/data/granularity/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Granularity effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/granularity/game.ruleset b/data/granularity/game.ruleset
index 10a94760c8..7a0057b778 100644
--- a/data/granularity/game.ruleset
+++ b/data/granularity/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Granularity game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/granularity/governments.ruleset b/data/granularity/governments.ruleset
index 54f2805ffd..1961d2ad13 100644
--- a/data/granularity/governments.ruleset
+++ b/data/granularity/governments.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Granularity governments data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/granularity/nations.ruleset b/data/granularity/nations.ruleset
index c1d12a646e..1dc8532f5f 100644
--- a/data/granularity/nations.ruleset
+++ b/data/granularity/nations.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Granularity nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/granularity/styles.ruleset b/data/granularity/styles.ruleset
index 0704fdb33a..8c9e2b0a21 100644
--- a/data/granularity/styles.ruleset
+++ b/data/granularity/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Granularity nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/granularity/techs.ruleset b/data/granularity/techs.ruleset
index 5fd2eca195..00b8f2e37b 100644
--- a/data/granularity/techs.ruleset
+++ b/data/granularity/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Granularity technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/granularity/terrain.ruleset b/data/granularity/terrain.ruleset
index ae32047ac4..1e4b359b97 100644
--- a/data/granularity/terrain.ruleset
+++ b/data/granularity/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Granularity tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/granularity/units.ruleset b/data/granularity/units.ruleset
index ee1b455744..01b56d32da 100644
--- a/data/granularity/units.ruleset
+++ b/data/granularity/units.ruleset
@@ -16,8 +16,8 @@
 
 [datafile]
 description = "Granularity unit_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/multiplayer/actions.ruleset b/data/multiplayer/actions.ruleset
index cd3ec14b3f..e9b9f1e1b5 100644
--- a/data/multiplayer/actions.ruleset
+++ b/data/multiplayer/actions.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Multiplayer actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/multiplayer/buildings.ruleset b/data/multiplayer/buildings.ruleset
index de59e6ae26..e42b4ee115 100644
--- a/data/multiplayer/buildings.ruleset
+++ b/data/multiplayer/buildings.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Multiplayer buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 
diff --git a/data/multiplayer/cities.ruleset b/data/multiplayer/cities.ruleset
index e604a45b94..700270d94d 100644
--- a/data/multiplayer/cities.ruleset
+++ b/data/multiplayer/cities.ruleset
@@ -8,8 +8,8 @@
 
 [datafile]
 description = "Cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/multiplayer/effects.ruleset b/data/multiplayer/effects.ruleset
index 2569b003de..a97c582da0 100644
--- a/data/multiplayer/effects.ruleset
+++ b/data/multiplayer/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Multiplayer effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/multiplayer/game.ruleset b/data/multiplayer/game.ruleset
index c100d5fe13..3ba39b0717 100644
--- a/data/multiplayer/game.ruleset
+++ b/data/multiplayer/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Multiplayer game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/multiplayer/governments.ruleset b/data/multiplayer/governments.ruleset
index 0b36d77b59..d1683d0b1f 100644
--- a/data/multiplayer/governments.ruleset
+++ b/data/multiplayer/governments.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Multiplayer governments data for Freeciv (as Civ2, minus fundamentalism)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/multiplayer/nations.ruleset b/data/multiplayer/nations.ruleset
index 1203c2596c..202e6ffa2b 100644
--- a/data/multiplayer/nations.ruleset
+++ b/data/multiplayer/nations.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Multiplayer nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/multiplayer/styles.ruleset b/data/multiplayer/styles.ruleset
index 0d975f7270..ec58ce223d 100644
--- a/data/multiplayer/styles.ruleset
+++ b/data/multiplayer/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/multiplayer/techs.ruleset b/data/multiplayer/techs.ruleset
index 546cfe85ae..7a441ba45e 100644
--- a/data/multiplayer/techs.ruleset
+++ b/data/multiplayer/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Multiplayer technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/multiplayer/terrain.ruleset b/data/multiplayer/terrain.ruleset
index 245206005c..cd9ad07110 100644
--- a/data/multiplayer/terrain.ruleset
+++ b/data/multiplayer/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Multiplayer terrain data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/multiplayer/units.ruleset b/data/multiplayer/units.ruleset
index 1ee365fd20..cb3261535b 100644
--- a/data/multiplayer/units.ruleset
+++ b/data/multiplayer/units.ruleset
@@ -16,8 +16,8 @@
 
 [datafile]
 description = "Unit definitions for the multiplayer ruleset."
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/sandbox/actions.ruleset b/data/sandbox/actions.ruleset
index 67a81ca8e5..d1b911d00f 100644
--- a/data/sandbox/actions.ruleset
+++ b/data/sandbox/actions.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Sandbox actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/sandbox/buildings.ruleset b/data/sandbox/buildings.ruleset
index 147824f7fb..d17dfd57d7 100644
--- a/data/sandbox/buildings.ruleset
+++ b/data/sandbox/buildings.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Sandbox buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 
diff --git a/data/sandbox/cities.ruleset b/data/sandbox/cities.ruleset
index a3e4ce13f4..5815d20c7d 100644
--- a/data/sandbox/cities.ruleset
+++ b/data/sandbox/cities.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Sandbox cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/sandbox/effects.ruleset b/data/sandbox/effects.ruleset
index a2b762c2f4..78429d12af 100644
--- a/data/sandbox/effects.ruleset
+++ b/data/sandbox/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Sandbox effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index 18e8f7637b..5544e02f63 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Sandbox game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/sandbox/governments.ruleset b/data/sandbox/governments.ruleset
index df29e4d00d..d437c1ff06 100644
--- a/data/sandbox/governments.ruleset
+++ b/data/sandbox/governments.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Sandbox governments data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/sandbox/nations.ruleset b/data/sandbox/nations.ruleset
index 560458caa4..deb7fa7593 100644
--- a/data/sandbox/nations.ruleset
+++ b/data/sandbox/nations.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Sandbox nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/sandbox/styles.ruleset b/data/sandbox/styles.ruleset
index f48dc38cdb..0135ab0110 100644
--- a/data/sandbox/styles.ruleset
+++ b/data/sandbox/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Sandbox nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/sandbox/techs.ruleset b/data/sandbox/techs.ruleset
index 3001a5281d..0bf9d0cb5e 100644
--- a/data/sandbox/techs.ruleset
+++ b/data/sandbox/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Sandbox technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/sandbox/terrain.ruleset b/data/sandbox/terrain.ruleset
index e4bb481111..6e0c247699 100644
--- a/data/sandbox/terrain.ruleset
+++ b/data/sandbox/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Sandbox terrain data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/sandbox/units.ruleset b/data/sandbox/units.ruleset
index 2eb687a98a..5564db36c5 100644
--- a/data/sandbox/units.ruleset
+++ b/data/sandbox/units.ruleset
@@ -16,8 +16,8 @@
 
 [datafile]
 description = "Sandbox Units data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/stub/actions.ruleset b/data/stub/actions.ruleset
index 3f40da36b2..11078def1b 100644
--- a/data/stub/actions.ruleset
+++ b/data/stub/actions.ruleset
@@ -4,8 +4,8 @@
 
 [datafile]
 description = "<modpack> actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/stub/buildings.ruleset b/data/stub/buildings.ruleset
index 416ca1ebc0..081176a73a 100644
--- a/data/stub/buildings.ruleset
+++ b/data/stub/buildings.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 
diff --git a/data/stub/cities.ruleset b/data/stub/cities.ruleset
index 7136b83bc4..d7b860be91 100644
--- a/data/stub/cities.ruleset
+++ b/data/stub/cities.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> cities data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/stub/effects.ruleset b/data/stub/effects.ruleset
index 9fe122258f..3920f2d4d3 100644
--- a/data/stub/effects.ruleset
+++ b/data/stub/effects.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/stub/game.ruleset b/data/stub/game.ruleset
index 136a1306a6..33e92535a5 100644
--- a/data/stub/game.ruleset
+++ b/data/stub/game.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/stub/governments.ruleset b/data/stub/governments.ruleset
index 20c666ea35..f5942f54f1 100644
--- a/data/stub/governments.ruleset
+++ b/data/stub/governments.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> governments data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/stub/nations.ruleset b/data/stub/nations.ruleset
index ea86080733..2b1a2e09f8 100644
--- a/data/stub/nations.ruleset
+++ b/data/stub/nations.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/stub/styles.ruleset b/data/stub/styles.ruleset
index 9570ca6bb1..15d9d3c188 100644
--- a/data/stub/styles.ruleset
+++ b/data/stub/styles.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/stub/techs.ruleset b/data/stub/techs.ruleset
index 66f61a9751..9d22739050 100644
--- a/data/stub/techs.ruleset
+++ b/data/stub/techs.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/stub/terrain.ruleset b/data/stub/terrain.ruleset
index 66be563456..9c3f51aab6 100644
--- a/data/stub/terrain.ruleset
+++ b/data/stub/terrain.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/stub/units.ruleset b/data/stub/units.ruleset
index d381687d6c..4e5df972f6 100644
--- a/data/stub/units.ruleset
+++ b/data/stub/units.ruleset
@@ -3,8 +3,8 @@
 
 [datafile]
 description = "<modpack> unit_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/data/webperimental/actions.ruleset b/data/webperimental/actions.ruleset
index 65e98fb027..877cadae50 100644
--- a/data/webperimental/actions.ruleset
+++ b/data/webperimental/actions.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Experimental web-client actions data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [auto_attack]
 ; An auto attack may be triggered when another unit moves to an adjacent
diff --git a/data/webperimental/buildings.ruleset b/data/webperimental/buildings.ruleset
index a22fd3f8b9..bcbe52d583 100644
--- a/data/webperimental/buildings.ruleset
+++ b/data/webperimental/buildings.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Experimental web-client buildings data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 
diff --git a/data/webperimental/cities.ruleset b/data/webperimental/cities.ruleset
index 6ece99b07d..2656ed476c 100644
--- a/data/webperimental/cities.ruleset
+++ b/data/webperimental/cities.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Experimental web-client city rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/webperimental/effects.ruleset b/data/webperimental/effects.ruleset
index 6920a419c9..96c91cbbd0 100644
--- a/data/webperimental/effects.ruleset
+++ b/data/webperimental/effects.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Experimental web-client effects data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/webperimental/game.ruleset b/data/webperimental/game.ruleset
index 1aae444e22..fb4343c481 100644
--- a/data/webperimental/game.ruleset
+++ b/data/webperimental/game.ruleset
@@ -11,8 +11,8 @@
 
 [datafile]
 description = "Experimental web-client game rules for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit to recreate the ruleset
 ; file in a form wanted. These have no in-game effect whatsoever
diff --git a/data/webperimental/governments.ruleset b/data/webperimental/governments.ruleset
index c6069bb2ca..21b2737edd 100644
--- a/data/webperimental/governments.ruleset
+++ b/data/webperimental/governments.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Experimental web-client governments data for Freeciv (as Civ2, minus fundamentalism)"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [governments]
 during_revolution = "Anarchy"
diff --git a/data/webperimental/nations.ruleset b/data/webperimental/nations.ruleset
index 1b7c4ff725..d9bf81c704 100644
--- a/data/webperimental/nations.ruleset
+++ b/data/webperimental/nations.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Experimental web-client nations data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; This section contains meta information for freeciv-ruledit and freeciv-ruleup
 ; to recreate the ruleset file in a form wanted.
diff --git a/data/webperimental/styles.ruleset b/data/webperimental/styles.ruleset
index 2dc6a480ad..bfbd3d1280 100644
--- a/data/webperimental/styles.ruleset
+++ b/data/webperimental/styles.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Experimental web-client nation theme data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 ; /* <-- avoid gettext warnings
 ;
diff --git a/data/webperimental/techs.ruleset b/data/webperimental/techs.ruleset
index 64331c5c00..9352e2051b 100644
--- a/data/webperimental/techs.ruleset
+++ b/data/webperimental/techs.ruleset
@@ -9,8 +9,8 @@
 
 [datafile]
 description = "Experimental web-client technology data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom tech flags. There can be up to 10 of these.
diff --git a/data/webperimental/terrain.ruleset b/data/webperimental/terrain.ruleset
index e65169e93a..c9482686f2 100644
--- a/data/webperimental/terrain.ruleset
+++ b/data/webperimental/terrain.ruleset
@@ -12,8 +12,8 @@
 
 [datafile]
 description = "Experimental web-client tile_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom terrain flags. There can be up to 10 of these.
diff --git a/data/webperimental/units.ruleset b/data/webperimental/units.ruleset
index 4ed143c2fa..1d23b59f46 100644
--- a/data/webperimental/units.ruleset
+++ b/data/webperimental/units.ruleset
@@ -16,8 +16,8 @@
 
 [datafile]
 description = "Experimental web-client unit_type data for Freeciv"
-options = "+Freeciv-ruleset-3.3-Devel-2023.Feb.24 web-compatible"
-format_version = 40
+options = "+Freeciv-ruleset-3.4-Devel-2025.Jan.17 web-compatible"
+format_version = 50
 
 [control]
 ; Names for custom unit type flags. There can be up to 53 of these.
diff --git a/server/ruleset/ruleload.h b/server/ruleset/ruleload.h
index 5aeda4e3b7..cecb71e333 100644
--- a/server/ruleset/ruleload.h
+++ b/server/ruleset/ruleload.h
@@ -17,7 +17,7 @@
 extern "C" {
 #endif /* __cplusplus */
 
-#define RULESET_CAPABILITIES_BASE "+Freeciv-ruleset-3.3-Devel-2023.Feb.24"
+#define RULESET_CAPABILITIES_BASE "+Freeciv-ruleset-3.4-Devel-2025.Jan.17"
 #ifdef FREECIV_WEB
 #define RULESET_CAPABILITIES RULESET_CAPABILITIES_BASE " +web-compatible"
 #else  /* FREECIV_WEB */
@@ -26,16 +26,16 @@ extern "C" {
 /*
  * Ruleset capabilities acceptable to this program:
  *
- * +Freeciv-3.3-ruleset
- *    - basic ruleset format for Freeciv versions 3.3.x; required
+ * +Freeciv-3.4-ruleset
+ *    - basic ruleset format for Freeciv versions 3.4.x; required
  *
  * +Freeciv-ruleset-V.V-Devel-YYYY.MMM.DD
  *    - ruleset of the development version at the given date
  */
 
-#define RSFORMAT_3_2  30
 #define RSFORMAT_3_3  40
-#define RSFORMAT_CURRENT RSFORMAT_3_3
+#define RSFORMAT_3_4  50
+#define RSFORMAT_CURRENT RSFORMAT_3_4
 
 struct conn_list;
 
-- 
2.45.2

